Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceAroundMapEntryColonRule

- groovy.org.codenarc.rule.formatting.SpaceAroundMapEntryColonRule

- Check for configured formatting of whitespace around colons for literal Map entries

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `characterAfterColonRegex`
    `String` | `characterBeforeColonRegex`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String characterAfterColonRegex

    - #### String characterBeforeColonRegex

    - #### String name

    - #### int priority